import { PageStatusEnum } from "@/services/launchAdq/enum"
import { Badge, TableProps } from "antd"
import React from "react"

let columns = (): TableProps<any>['columns'] => [
    {
        title: '落地页ID',
        dataIndex: 'pageId',
        key: 'pageId',
        align: 'center',
        width: 100,
        render: (a: string) => {
            return <a>{a}</a>
        }
    },
    {
        title: '落地页名称',
        dataIndex: 'pageName',
        key: 'pageName',
        ellipsis: true
    },
    {
        title: '落地页状态',
        dataIndex: 'pageStatus',
        key: 'pageStatus',
        align: 'center',
        width: 90,
        render: (a: string | number) => {
            return <Badge status={a === 'NORMAL' ? "processing" : "error"} text={PageStatusEnum[a]} />
        }
    }
]

export default columns