import { Card, Drawer, Space, Spin, Typography } from "antd"
import React, { useEffect, useState } from "react"
import '../index.less'
import style from './index.less'
import Dynamic from "./Dynamic";
import Material from "./Material";
import MaterialText from "./MaterialText";
import PageList from "./PageList";
import { DispatchAddelivery } from ".";
const { Text } = Typography;

/**
 * 新增创意
 * @returns 
 */
const AddDynamic: React.FC<PULLIN.NewAddDynamic> = ({ visible, onChange, onClose, adData }) => {

    /****************************************/
    const [addelivery, setAddelivery] = useState<PULLIN.AddeliveryProps>({ adgroups: {}, targeting: [], dynamic: {}, dynamicMaterialDTos: {}, dynamicCreativesTextDTOS: {} })
    const [wechatVisible, setWechatVisible] = useState<boolean>(false) // 选择微信公众号弹窗控制
    const [materialData, setMaterialData] = useState<any>({}) // 素材数据
    const [textData, setTextData] = useState<any>({})
    const [accountCreateLogs, setAccountCreateLogs] = useState<PULLIN.AccountCreateLogsProps[]>([])  // 账户
    const [tableData, setTableData] = useState<any>({})
    /****************************************/

    useEffect(() => {

    }, [])

    const clearData = () => {
        setTableData({})
    }

    return <Drawer
        title={<strong>添加创意</strong>}
        visible={visible}
        width={1450}
        onClose={onClose}
        bodyStyle={{ backgroundColor: '#f1f4fc', padding: 10 }}
    >
        <Space direction="vertical" style={{ width: '100%' }}>
            <Spin spinning={false}>

                <Text type="danger" style={{ marginBottom: 5 }}>选择的广告必须与当前已选广告的营销目的、营销载体、推广内容、广告版位一致</Text>
                <Card
                    size="small"
                    title={<div className={style.cardTitle}>配置区</div>}
                    className={style.createAd}
                >
                    <div className={style.settingsBody}>
                        <div className={style.settingsBody_content}>
                            <DispatchAddelivery.Provider
                                value={{
                                    addelivery,
                                    setAddelivery,
                                    accountCreateLogs,
                                    setAccountCreateLogs,
                                    materialData,
                                    setMaterialData,
                                    textData,
                                    setTextData,
                                    clearData
                                }}>
                                <div className={style.settingsBody_content_right}>
                                    <div className={`${style.settingsBody_content_row} ${style.row1}`}>
                                        <div className={style.title}>
                                            <span>广告信息</span>
                                        </div>
                                        <div className={style.detail}>
                                            <div className={style.detail_body}>

                                            </div>
                                            <div className={style.detail_footer}>

                                            </div>
                                        </div>
                                    </div>
                                    {/* 创意 */}
                                    <Dynamic />
                                    {/* 创意素材 */}
                                    <Material />
                                </div>
                                <div className={style.settingsBody_content_left}>
                                    {/* 创意文案 */}
                                    <MaterialText />
                                    {/* 落地页 */}
                                    <PageList />
                                </div>
                            </DispatchAddelivery.Provider>
                        </div>
                    </div>
                </Card>
            </Spin>
        </Space>
    </Drawer>
}

export default React.memo(AddDynamic)